Bug 1572940 - menu icon size incorrect (too large)
Summary: menu icon size incorrect (too large)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1575355 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 05:38 UTC by Paul DeStefano
Modified: 2019-11-27 20:18 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:18:45 UTC
Type: Bug


Attachments (Terms of Use)
screenshot showing problem (97.99 KB, image/png)
2018-04-29 05:38 UTC, Paul DeStefano
no flags Details

Description Paul DeStefano 2018-04-29 05:38:20 UTC
Created attachment 1428305 [details]
screenshot showing problem

Description of problem:
After upgrade to Fedora29, the menu icon for nautilus (in Xfce menu) is way too big.

Version-Release number of selected component (if applicable):
nautilus-3.28.1-1.fc29.x86_64

Additional Info:
This is a regression.  This exact thing happened a couple years ago.

Comment 1 Paul DeStefano 2018-04-30 09:44:47 UTC
Also affects Fedora28

Comment 2 josef radinger 2018-05-06 20:07:41 UTC
*** Bug 1575355 has been marked as a duplicate of this bug. ***

Comment 3 josef radinger 2018-05-06 20:12:59 UTC
all images  are the same size under /usr/share/icons/hicolor/*/apps/org.gnome.Nautilus.png

find */apps/org.gnome.Nautilus.png | xargs ls -l
-rw-r--r-- 1 root root 60905 Apr  9 22:23 16x16/apps/org.gnome.Nautilus.png
-rw-r--r-- 1 root root 60905 Apr  9 22:23 22x22/apps/org.gnome.Nautilus.png
-rw-r--r-- 1 root root 60905 Apr  9 22:23 24x24/apps/org.gnome.Nautilus.png
-rw-r--r-- 1 root root 60905 Apr  9 22:23 32x32/apps/org.gnome.Nautilus.png
-rw-r--r-- 1 root root 60905 Apr  9 22:23 48x48/apps/org.gnome.Nautilus.png
-rw-r--r-- 1 root root 60905 Apr  9 22:23 512x512/apps/org.gnome.Nautilus.png

file 32x32/apps/org.gnome.Nautilus.png
32x32/apps/org.gnome.Nautilus.png: PNG image data, 512 x 512, 8-bit/color RGBA, non-interlaced

excerpt from package-build:
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/16x16/apps
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/22x22/apps
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/24x24/apps
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/32x32/apps
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/48x48/apps
Installing /builddir/build/BUILD/nautilus-3.28.1/x86_64-redhat-linux-gnu/data/org.gnome.Nautilus.png to /builddir/build/BUILDROOT/nautilus-3.28.1-1.fc28.x86_64/usr/share/icons/hicolor/512x512/apps

Comment 4 Corey Welton 2018-06-27 15:48:02 UTC
Can confirm this occurs in Fedora 28 as well, at least upon an upgrade from 26.

Comment 5 Milan Kerslager 2018-07-01 15:46:03 UTC
Same here: nautilus-3.28.1-1.fc28.x86_64

Comment 6 Oren Oichman 2018-07-19 13:48:01 UTC
Hi ,
I manage to fix this issue by running the following commands :

cd /usr/share/icons/hicolor/22x22/apps/
cp org.gnome.Nautilus.png org.gnome.Nautilus.png.bak
convert org.gnome.Nautilus.png --resize 22x22 org.gnome.Nautilus.png
convert org.gnome.Nautilus.png -resize 22x22 org.gnome.Nautilus.png
mv org.gnome.Nautilus.png.bak org.gnome.Nautilus-orig.png
ls -al
find / -name "*Nautilus*"
cd /usr/share/icons/hicolor/16x16/apps
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 16x16 org.gnome.Nautilus.png
cd /usr/share/icons/hicolor/32x32/apps/
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 32x32 org.gnome.Nautilus.png
cd /usr/share/icons/hicolor/24x24/apps/
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 24x24 org.gnome.Nautilus.png
cd /usr/share/icons/hicolor/48x48/apps/
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 48x48 org.gnome.Nautilus.png
cd /usr/share/app-info/icons/fedora/64x64/
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 64x64 org.gnome.Nautilus.png
cd /usr/share/app-info/icons/fedora/128x128/
cp org.gnome.Nautilus.png org.gnome.Nautilus-orig.png
convert org.gnome.Nautilus.png -resize 128x128 org.gnome.Nautilus.png

Comment 7 Jan Kurik 2018-08-14 10:04:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 8 jamie 2018-12-02 03:26:01 UTC
Also happens in Fedora 28.

Comment 9 Paul DeStefano 2018-12-02 05:31:44 UTC
Now that F29 has been released, I don't see this problem anymore on F29.

Comment 10 jamie 2018-12-02 17:21:48 UTC
So they should be able to do what they did in F29, in F28.

Comment 11 jamie 2018-12-03 02:59:27 UTC
The icon is the correct size in KDE and Gnome, this is only a problem for XFCE for some reason.

Comment 12 Veteran 2018-12-09 22:10:55 UTC
Affected f28 too. Looking at Gnome nautilus git, correctly sized icons are available there. Sure would be nice to have a fix though.

Comment 13 Veteran 2018-12-09 22:12:20 UTC
Also, when I attempt to view the attachment above that Paul posted I get incorrect redirection error

https://bugzilla.redhat.com/attachment.cgi?id=1428305

Comment 14 Veteran 2018-12-09 22:12:58 UTC
The page isn’t redirecting properly

An error occurred during a connection to bugzilla-attachments.redhat.com.

Comment 15 Alvin Abaya 2018-12-10 04:32:14 UTC
When I right-click on the desktop of xfce, i get giant icons.

Comment 16 jamie 2018-12-10 15:32:19 UTC
Yes, this appears in the "application" menu and the right-click menu.

Comment 17 jamie 2018-12-10 15:32:54 UTC
Also, I have no issue with the site or viewing the image today.

Comment 18 Ben Cotton 2019-10-31 20:20:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2019-11-27 20:18:45 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.